
package service.ejb;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the service.ejb package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _BooleanTest_QNAME = new QName("http://ejb.service/", "booleanTest");
    private final static QName _BooleanTestResponse_QNAME = new QName("http://ejb.service/", "booleanTestResponse");
    private final static QName _IntTest_QNAME = new QName("http://ejb.service/", "intTest");
    private final static QName _BlobTestResponse_QNAME = new QName("http://ejb.service/", "blobTestResponse");
    private final static QName _TestString_QNAME = new QName("http://ejb.service/", "testString");
    private final static QName _IntTestResponse_QNAME = new QName("http://ejb.service/", "intTestResponse");
    private final static QName _BlobTest_QNAME = new QName("http://ejb.service/", "blobTest");
    private final static QName _TestStringResponse_QNAME = new QName("http://ejb.service/", "testStringResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: service.ejb
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link BlobTestResponse }
     * 
     */
    public BlobTestResponse createBlobTestResponse() {
        return new BlobTestResponse();
    }

    /**
     * Create an instance of {@link TestStringResponse }
     * 
     */
    public TestStringResponse createTestStringResponse() {
        return new TestStringResponse();
    }

    /**
     * Create an instance of {@link BooleanTestResponse }
     * 
     */
    public BooleanTestResponse createBooleanTestResponse() {
        return new BooleanTestResponse();
    }

    /**
     * Create an instance of {@link IntTest }
     * 
     */
    public IntTest createIntTest() {
        return new IntTest();
    }

    /**
     * Create an instance of {@link TestString }
     * 
     */
    public TestString createTestString() {
        return new TestString();
    }

    /**
     * Create an instance of {@link IntTestResponse }
     * 
     */
    public IntTestResponse createIntTestResponse() {
        return new IntTestResponse();
    }

    /**
     * Create an instance of {@link BooleanTest }
     * 
     */
    public BooleanTest createBooleanTest() {
        return new BooleanTest();
    }

    /**
     * Create an instance of {@link BlobTest }
     * 
     */
    public BlobTest createBlobTest() {
        return new BlobTest();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BooleanTest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "booleanTest")
    public JAXBElement<BooleanTest> createBooleanTest(BooleanTest value) {
        return new JAXBElement<BooleanTest>(_BooleanTest_QNAME, BooleanTest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BooleanTestResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "booleanTestResponse")
    public JAXBElement<BooleanTestResponse> createBooleanTestResponse(BooleanTestResponse value) {
        return new JAXBElement<BooleanTestResponse>(_BooleanTestResponse_QNAME, BooleanTestResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IntTest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "intTest")
    public JAXBElement<IntTest> createIntTest(IntTest value) {
        return new JAXBElement<IntTest>(_IntTest_QNAME, IntTest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BlobTestResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "blobTestResponse")
    public JAXBElement<BlobTestResponse> createBlobTestResponse(BlobTestResponse value) {
        return new JAXBElement<BlobTestResponse>(_BlobTestResponse_QNAME, BlobTestResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TestString }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "testString")
    public JAXBElement<TestString> createTestString(TestString value) {
        return new JAXBElement<TestString>(_TestString_QNAME, TestString.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IntTestResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "intTestResponse")
    public JAXBElement<IntTestResponse> createIntTestResponse(IntTestResponse value) {
        return new JAXBElement<IntTestResponse>(_IntTestResponse_QNAME, IntTestResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link BlobTest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "blobTest")
    public JAXBElement<BlobTest> createBlobTest(BlobTest value) {
        return new JAXBElement<BlobTest>(_BlobTest_QNAME, BlobTest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link TestStringResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ejb.service/", name = "testStringResponse")
    public JAXBElement<TestStringResponse> createTestStringResponse(TestStringResponse value) {
        return new JAXBElement<TestStringResponse>(_TestStringResponse_QNAME, TestStringResponse.class, null, value);
    }

}
